> ## Documentation Index
> Fetch the complete documentation index at: https://docs.16tms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group

> Fetch details of a specific group by its ID.



## OpenAPI

````yaml /api-reference/rounds/openapi.json get /groups/{groupId}
openapi: 3.0.0
info:
  title: Rounds
  version: 1.0.0
  description: API endpoints for accessing rounds
servers:
  - url: https://api.16tms.com/api/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /groups/{groupId}:
    get:
      summary: Get Group
      description: Fetch details of a specific group by its ID.
      operationId: getGroup
      parameters:
        - name: groupId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The unique identifier of the group.
      responses:
        '200':
          description: Tournament group fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGroupResponse'
              example:
                success: true
                message: Tournament group fetched successfully
                data:
                  id: ee6c62d0-0802-4327-9961-5ed446f5702f
                  tournamentRoundId: 44accbab-48f7-4fe0-8085-df45903863a8
                  tournamentId: 788f9b9d-1aec-4dec-b2fc-d585a6ef149f
                  tournamentRoundName: Round 1 (Normal)
                  groupName: Group 1
                  maxParticipants: 2
                  version: 1
                  versions:
                    - 1
                  participantCount: 1
                meta:
                  traceId: 00-b28a7ad18702b35a84e00477b68e2dc6-9e696eec1771c68e-00
                  elapsedMs: 9.41
                  serverTimestamp: '2026-02-17T12:26:14.0638194Z'
components:
  schemas:
    GetGroupResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          $ref: '#/components/schemas/GroupDetail'
        meta:
          $ref: '#/components/schemas/Meta'
    GroupDetail:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tournamentRoundId:
          type: string
          format: uuid
        tournamentId:
          type: string
          format: uuid
        tournamentRoundName:
          type: string
        groupName:
          type: string
        maxParticipants:
          type: integer
        version:
          type: integer
        versions:
          type: array
          items:
            type: integer
        participantCount:
          type: integer
    Meta:
      type: object
      properties:
        traceId:
          type: string
          example: 00-f125448ab05644fa80f36b22f1d71ac5-0124b07dc253ea94-00
        elapsedMs:
          type: number
          example: 70.26
        serverTimestamp:
          type: string
          format: date-time
          example: '2026-02-12T11:21:26.4669586Z'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key for authentication.

````